Package org.eclipse.m2m.atl.adt.ui.editor.formatter

# Class InvalidFragmentException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.eclipse.m2m.atl.adt.ui.editor.formatter.InvalidFragmentException

All Implemented Interfaces:
  `Serializable`

public class InvalidFragmentException extends Exception
Returned when the formatter fails to manage a fragment.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`InvalidFragmentException()`
`InvalidFragmentException(String message)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### InvalidFragmentException

public InvalidFragmentException()

### InvalidFragmentException

public InvalidFragmentException(String message)